aboutsummaryrefslogtreecommitdiffstats
path: root/deployment/heat
diff options
context:
space:
mode:
authorYang Xu <yang.xu3@huawei.com>2019-02-17 23:54:56 -0500
committerYang Xu <yang.xu3@huawei.com>2019-02-18 00:08:05 -0500
commit7e32237eb76d316293698ec70aab36cff5379912 (patch)
tree4720176fcb342f28ea02036431910aab9ee0ceaa /deployment/heat
parenta73b725e987a4a1aba7baf09c504a214dabb4838 (diff)
Add redeploy-module.sh script
Change-Id: Ie082ff0ebfe57bc85febc5edbc49f61a509513c5 Issue-ID: INT-888 Signed-off-by: Yang Xu <yang.xu3@huawei.com>
Diffstat (limited to 'deployment/heat')
-rw-r--r--deployment/heat/onap-oom/scripts/redeploy-module.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/deployment/heat/onap-oom/scripts/redeploy-module.sh b/deployment/heat/onap-oom/scripts/redeploy-module.sh
new file mode 100644
index 000000000..ab528314a
--- /dev/null
+++ b/deployment/heat/onap-oom/scripts/redeploy-module.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+#
+# Copyright 2019 Huawei Technologies Co., Ltd.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+
+if [ "$#" -ne 1 ]; then
+ echo "Please specify module name, i.e. $0 robot"
+ exit 1
+fi
+
+module=$1
+deploy=dev-$1
+cd /root/oom/kubernetes
+helm delete $deploy --purge
+/root/integration/deployment/heat/onap-oom/scripts/cleanup.sh $module
+rm -rf /dockerdata-nfs/$deploy
+make $module
+make onap
+helm deploy $deploy local/onap -f /root/oom/kubernetes/onap/resources/environments/public-cloud.yaml -f /root/integration-override.yaml --namespace onap